import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataCloudflareIpRangesConfig extends cdktf.TerraformMetaArguments {
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/cloudflare/d/ip_ranges cloudflare_ip_ranges}
*/
export declare class DataCloudflareIpRanges extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "cloudflare_ip_ranges";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/cloudflare/d/ip_ranges cloudflare_ip_ranges} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataCloudflareIpRangesConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataCloudflareIpRangesConfig);
    get chinaIpv4CidrBlocks(): string[];
    get chinaIpv6CidrBlocks(): string[];
    get cidrBlocks(): string[];
    get id(): string;
    get ipv4CidrBlocks(): string[];
    get ipv6CidrBlocks(): string[];
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=data-cloudflare-ip-ranges.d.ts.map